Bug 1255821 - Expose deleteBundleDestination for BundleManagerRemote in JBoss ON CLI
Expose deleteBundleDestination for BundleManagerRemote in JBoss ON CLI
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.3.3
Unspecified Unspecified
high Severity high
: ER01
: JON 3.3.4
Assigned To: Libor Zoubek
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 12:00 EDT by dsteigne
Modified: 2015-11-01 19:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1414293 None None None Never

  None (edit)
Description dsteigne 2015-08-21 12:00:39 EDT
Description of problem:
Currently BundleManagerRemote does not have any method available to delete the specific bundle destination using JON CLI. But the JON GUI has functionality to delete specific bundle destination, JON CLI should provide method e.g. deleteBundleDestination to delete the specific bundle destination based on bundle destination id.

Version-Release number of selected component (if applicable):
3.3.3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Libor Zoubek 2015-09-02 05:00:01 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/d9960319d
time:    2015-09-02 10:58:00 +0200
commit:  d9960319df7ed1824b5a61baefe15359a4e3b333
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1255821 - Expose deleteBundleDestination for BundleManagerRemote in 
         JBoss ON CLI

         Method moved from BundleManagerLocal to BundleManagerRemote,
         changed javadocs a bit (description taken from UI confirmation
         message)
Comment 5 Michael Burman 2015-09-25 03:37:46 EDT
Cherry-picked to release/jon3.3.x:

commit 8bd1efbe223a66062e9695cd0a2a065594e1ddc3
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Sep 2 10:58:00 2015 +0200

    Bug 1255821 - Expose deleteBundleDestination for BundleManagerRemote in
    JBoss ON CLI
    
    Method moved from BundleManagerLocal to BundleManagerRemote, changed
    javadocs a bit (description taken from UI confirmation message)
    
    (cherry picked from commit d9960319df7ed1824b5a61baefe15359a4e3b333)
    
    Conflicts:
        modules/enterprise/server/jar/intentional-api-changes-since-4.13.0.xml
Comment 7 Simeon Pinder 2015-10-09 00:40:09 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 8 Filip Brychta 2015-10-13 06:54:56 EDT
Verified on:
Version :	
3.3.0.GA Update 04
Build Number :	
821a526:fa7b1a1

BundleManager.deleteBundleDestination(int) is working correctly. Automation updated to cover this method as well.
Comment 10 errata-xmlrpc 2015-10-28 10:37:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.